/*
 * This file contains a test for the Mathomatic library.
 * Refer to this, if you are going to use the Mathomatic code in other projects.
 *
 * Mathomatic Copyright (c) 1996 George Gesslein II.
 */

#include "../includes.h"

int
main(int argc, char **argv)
{
	char	*cp, *ocp;
	int	rv;

	if (!matho_init()) {
		fprintf(stderr, "Not enough memory.\n");
		exit(1);
	}
	/* Mathomatic is ready for use. */
	/* This is an input/output loop for testing. */
	for (;;) {
		input_column = printf("%d%s", cur_equation + 1, html_flag ? HTML_PROMPT : PROMPT);
		if ((cp = fgets((char *) tlhs, n_tokens * sizeof(token_type), stdin)) == NULL)
			break;
		rv = matho_process(cp, &ocp);
		if (ocp) {
			printf("%s\n", ocp);
			if (rv) {
				free(ocp);
			}
		}
	}
	exit_program(0);
}
